=== debian/changelog ===
mbpoll (1.4.11+dfsg-2) unstable; urgency=medium

  * Re-upload source only

 -- Martin <debacle@debian.org>  Fri, 17 Apr 2020 01:12:46 +0000

mbpoll (1.4.11+dfsg-1) unstable; urgency=medium

  * Junk (.exe) removed from source package

 -- Martin <debacle@debian.org>  Wed, 26 Feb 2020 09:23:20 +0000

mbpoll (1.4.11-1) unstable; urgency=low

  [ Jakub Polewka ]
  * Initial release (Closes: #950085)

 -- Martin <debacle@debian.org>  Thu, 30 Jan 2020 19:52:28 +0000
