=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	go-md2man -in README.md -out mbpoll.1
	dh_auto_install
