## mbpoll 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- CMakeLists.txt generated by CodeLite IDE. Do not edit by hand -*-
 
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 2.9)
 
 # Workspace name
 project(mbpoll)
@@ -27,6 +27,15 @@
 #{{{{ User Code 1
 # Place your code here
 # Modifies binary file paths if codelite is not used.
+include(CheckSymbolExists)
+
+set(CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)
+check_symbol_exists(getopt "getopt.h" HAVE_GETOPT)
+if (NOT HAVE_GETOPT)
+  set (GETOPT_SOURCES 3rdparty/getopt/getopt.c)
+  include_directories(BEFORE 3rdparty/getopt)
+endif (NOT HAVE_GETOPT)
+
 set (MBPOLL_CUSTOM_RTS_GPIO 1 CACHE BOOL "Enable custom Rts (if libpiduino found, only on ARM)")
 
 if (NOT CL_USED)
@@ -39,12 +48,24 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules (LIBMODBUS REQUIRED libmodbus>=3.1.4)
-
-link_directories(${LIBMODBUS_LIBRARY_DIRS})
-add_definitions(${LIBMODBUS_CFLAGS})
+
+if(WIN32)
+  # Import libmodbus library from sources located in libmodbus/src
+  set(LIBMODBUS_INCLUDE_DIRS ${CMAKE_SOURCE_DIR}/libmodbus/src ${CMAKE_SOURCE_DIR}/libmodbus/src/win32)
+  file(GLOB_RECURSE LIBMODBUS_SRCS RELATIVE ${CMAKE_SOURCE_DIR} "libmodbus/src/*.c")
+  # message (STATUS "LIBMODBUS_SRCS ${LIBMODBUS_SRCS}") 
+  find_program (CSCRIPT_PATH NAMES cscript REQUIRED)
+  # message (STATUS "CSCRIPT_PATH ${CSCRIPT_PATH}") 
+
+else(WIN32)
+  pkg_check_modules (LIBMODBUS REQUIRED libmodbus>=3.1.4)
+  link_directories(${LIBMODBUS_LIBRARY_DIRS})
+  add_definitions(${LIBMODBUS_CFLAGS})
+  include_directories(BEFORE ${LIBMODBUS_INCLUDE_DIRS})
+  list(APPEND LINK_OPTIONS ${LIBMODBUS_LIBRARIES})
+endif(WIN32)
+
 include_directories(BEFORE ${LIBMODBUS_INCLUDE_DIRS})
-list(APPEND LINK_OPTIONS ${LIBMODBUS_LIBRARIES})
 
 # search for the piduino package, if found, add the options ...
 find_package(PIDUINO QUIET)
@@ -92,13 +113,19 @@
 
 )
 
-
+if(MSVC)
+add_definitions(-D_CRT_SECURE_NO_WARNINGS)
+else(MSVC)
 # Compiler options
 add_definitions(-O2)
 add_definitions(-Wall)
 add_definitions(-Wno-unused-parameter)
 add_definitions(-Wno-unused-function)
 add_definitions(-Wno-unused-const-variable)
+set_source_files_properties(
+    ${C_SRCS} PROPERTIES COMPILE_FLAGS 
+    " -O2 -Wall -Wno-unused-parameter -Wno-unused-function -Wno-unused-const-variable")
+endif(MSVC)
 add_definitions(
     -DNDEBUG
 )
@@ -109,6 +136,10 @@
 
 if(WIN32)
     # Resource options
+    set(RC_SRCS 
+        ${CMAKE_SOURCE_DIR}/libmodbus/src/win32/modbus.rc
+    )
+    list(APPEND LINK_OPTIONS wsock32 ws2_32)
 endif(WIN32)
 
 # Library path
@@ -119,11 +150,9 @@
     ${CMAKE_SOURCE_DIR}/src/mbpoll.c
     ${CMAKE_SOURCE_DIR}/src/custom-rts.c
     ${CMAKE_SOURCE_DIR}/src/serial.c
+    ${LIBMODBUS_SRCS}
+    ${GETOPT_SOURCES}
 )
-
-set_source_files_properties(
-    ${C_SRCS} PROPERTIES COMPILE_FLAGS 
-    " -O2 -Wall -Wno-unused-parameter -Wno-unused-function -Wno-unused-const-variable")
 
 if(WIN32)
     enable_language(RC)
@@ -154,6 +183,14 @@
 # Place your code here
 install(TARGETS mbpoll RUNTIME DESTINATION bin
         PERMISSIONS ${PROGRAM_PERMISSIONS})
+
+if(WIN32)
+  add_custom_command(
+    TARGET mbpoll PRE_BUILD
+    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/libmodbus/src/win32
+    COMMAND ${CSCRIPT_PATH} ${CMAKE_SOURCE_DIR}/libmodbus/src/win32/configure.js
+    VERBATIM) 
+endif(WIN32)
 
 ### Debian Package generation
 set(CPACK_PACKAGE_NAME ${PROJECT_NAME})
