=== debian/changelog ===
mbpoll (1.5.2-2) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fix for FTBFS with CMake 4. Closes: #1113270.

  [ Santiago Vila ]
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Nov 2025 11:50:00 +0100

mbpoll (1.5.2-1) unstable; urgency=medium

  * New upstream version (Closes: #1079910)

 -- Martin <debacle@debian.org>  Mon, 02 Sep 2024 07:36:29 +0000
