=== debian/control ===
Source: mbpoll
Section: science
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: cmake,
	debhelper-compat (= 12),
	go-md2man,
	libmodbus-dev,
	pkg-config,
Standards-Version: 4.7.2
Homepage: https://github.com/epsilonrt/mbpoll
Vcs-Git: https://salsa.debian.org/science-team/mbpoll.git
Vcs-Browser: https://salsa.debian.org/science-team/mbpoll

Package: mbpoll
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
Description: command line utility to communicate with ModBus slave (RTU or TCP)
 mbpoll uses libmodbus (http://libmodbus.org/).  
 Although the syntax of these options is very close modpoll proconX program,
 it is a completely independent project.
 .
 mbpoll can:
 .
  - read discrete inputs
  - read and write binary outputs (coil)
  - read input registers
  - read and write output registers (holding register)
 .
 The reading and writing registers may be in decimal, hexadecimal or 
 floating single precision.
